package it.integry.integrywmsnative.gest.pv_ordine_acquisto_edit.dialog.selectArtFromList;

import java.math.BigDecimal;

import it.integry.integrywmsnative.core.di.BindableBoolean;

public class DialogSelectArtToOrderItemListModel<T> {

    private String codMart;
    private String descrizione;
    private BigDecimal qtaOrd;
    private String untMisOrd;
    private String barcode;

    private String codAlis;
    private boolean isNew;
    private T originalModel;
    private BindableBoolean checked = new BindableBoolean(false);


    public String getCodMart() {
        return codMart;
    }

    public DialogSelectArtToOrderItemListModel<T> setCodMart(String codMart) {
        this.codMart = codMart;
        return this;
    }

    public String getDescrizione() {
        return descrizione;
    }

    public DialogSelectArtToOrderItemListModel<T> setDescrizione(String descrizione) {
        this.descrizione = descrizione;
        return this;
    }

    public BigDecimal getQtaOrd() {
        return qtaOrd;
    }

    public DialogSelectArtToOrderItemListModel<T> setQtaOrd(BigDecimal qtaOrd) {
        this.qtaOrd = qtaOrd;
        return this;
    }

    public String getUntMisOrd() {
        return untMisOrd;
    }

    public DialogSelectArtToOrderItemListModel<T> setUntMisOrd(String untMisOrd) {
        this.untMisOrd = untMisOrd;
        return this;
    }

    public String getBarcode() {
        return barcode;
    }

    public DialogSelectArtToOrderItemListModel<T> setBarcode(String barcode) {
        this.barcode = barcode;
        return this;
    }

    public boolean isNew() {
        return isNew;
    }

    public DialogSelectArtToOrderItemListModel<T> setNew(boolean aNew) {
        isNew = aNew;
        return this;
    }

    public T getOriginalModel() {
        return originalModel;
    }

    public DialogSelectArtToOrderItemListModel<T> setOriginalModel(T originalModel) {
        this.originalModel = originalModel;
        return this;
    }

    public BindableBoolean getChecked() {
        return checked;
    }

    public DialogSelectArtToOrderItemListModel<T> setChecked(BindableBoolean checked) {
        this.checked = checked;
        return this;
    }

    public String getCodAlis() {
        return codAlis;
    }

    public DialogSelectArtToOrderItemListModel<T> setCodAlis(String codAlis) {
        this.codAlis = codAlis;
        return this;
    }
}
